Subject: Re: bug#33235: Bzip hash error

From: [email-masked]
Date: Fri, 02 Nov 2018 04:33:10 +0100

Hi Leo,

Are you perhaps mistaken? the URL for bzip2 is bzip.org not bzip2.org

Regardless, even when pulling from the archive I am still being given an 
incorrect hash.

On 02.11.2018 04:09, Leo Famulari wrote:
> On Fri, Nov 02, 2018 at 03:29:50AM +0100, [email-masked] wrote:
>> Hi Leo,
>> 
>> I’m coming from an installation using guix init, and am typing from 
>> mobile.
>> I am using the berlin substitutes. I guess my option is to guix pull 
>> the
>> live iso?
> 
> No, I recommend against doing `guix pull` before initializing. We test
> that the installer works, but if you update Guix before initialization,
> then you void the warranty ;)
> 
> The bzip2.org site is offline; the domain registration expired and the
> site is gone:
> 
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7598b678fad2112ea87a85acf755908a59dd4676
> 
> I recommend downloading the missing source code from the archives, 
> using
> `guix download`. For your reference, here is the full URL:
> 
> https://web.archive.org/web/20180624184835/http://www.bzip.org/1.0.6/bzip2-1.0.6.tar.gz